Content

TeXLive

Apr
12

Posted on April 12th, 2010 at 12:14 pm TeXLive 2009 on FreeBSD

I recently updated the freebsd-texlive project to make TeXLive 2009 (the latest verison) available as ports for FreeBSD.

I used a script for update TeXLive 2008 on a regular basis, but since these new ports feature pkg-plist files, I had to setup an update jail. So updates for FreeBSD TeXLive ports will be generated daily at 5:30 CET.

I am also thinking about pushing the portshaker(8) utility in the FreeBSD ports tree in order to make it easier to track this project along with others (e.g. BSD#).

Feedback is welcomed!

May
6

Posted on May 6th, 2009 at 4:08 pm TeXLive for FreeBSD updated

TeXLive tarballs are updated every once a while and uploaded in place of the old ones wihout any versionning information. A direct consequence is that the FreeBSD ports for TeXLive are not fetchable anymore.

Since I announced I was not willing to track TeXLive updates, I almost forgot about this problem until a bug was oppened in the Google code repository of the project.

I promptly fixed the issue and created a shell script that should do this automatically each night thank's to cron(5):

#!/bin/sh

svn_root="https://freebsd-texlive.googlecode.com/svn"
date=`date +%Y%m%d`

cd /usr/ports/distfiles/TeXLive/2008 && \
   /usr/local/bin/wget \
     --quiet --mirror --no-directories \
     ftp://ftp.inria.fr/pub/TeX/CTAN/systems/texlive/tlnet/2008/archive/
if [ $? -ne 0 ]; then
   echo "Fetch error" >&2
   exit 1
fi
cd /usr/home/romain/Projects/freebsd-texlive-releng && \
   Tools/resum print/*
if [ $? -ne 0 ]; then
   echo "Sync error" >&2
   exit 1
fi

if [ -n "`/usr/local/bin/svn diff`" ]; then
   /usr/local/bin/svn commit -m "Sync distinfos" &&
   /usr/local/bin/svn copy "${svn_root}/branches/releng" \
                          "${svn_root}/tags/freebsd-texlive-${date}" \
                          -m "TAG freebsd-texlive-${date}"
fi

This problem should not occur anymore now :-).

Dec
23

Posted on December 23rd, 2008 at 1:24 pm TeXLive architecture dependent files

I am having fun with TeXLive under FreeBSD, and while trying to understand what is utterly needed in the 5229 packages provided by the distribution, I discovered a funny thing:

$ ls texlive.infra.*.tar.lzma
texlive.infra.alpha-linux.tar.lzma       texlive.infra.mips-irix.tar.lzma
texlive.infra.amd64-freebsd.tar.lzma     texlive.infra.powerpc-aix.tar.lzma
texlive.infra.doc.tar.lzma               texlive.infra.powerpc-linux.tar.lzma
texlive.infra.hppa-hpux.tar.lzma         texlive.infra.sparc-linux.tar.lzma
texlive.infra.i386-freebsd.tar.lzma      texlive.infra.sparc-solaris.tar.lzma
texlive.infra.i386-linux.tar.lzma        texlive.infra.universal-darwin.tar.lzma
texlive.infra.i386-openbsd.tar.lzma      texlive.infra.win32.tar.lzma
texlive.infra.i386-solaris.tar.lzma      texlive.infra.x86_64-linux.tar.lzma

All these distfiles (excepted the one emphasized) contains the same program compiled for different architectures. As the name suggest, it is related to the infrastructure of TeXLive, that is the piece of code handling the brunch of .tar.lzma distfiles.
Let's see what is packaged in one of these files:

$ lzma -dkc texlive.infra.i386-freebsd.tar.lzma | tar tf -
tlpkg/installer/lzma/lzma.i386-freebsd
tlpkg/installer/lzma/lzmadec.i386-freebsd
tlpkg/tlpobj/texlive.infra.i386-freebsd.tlpobj

Cool! This package includes FreeBSD binaries for decompressing .lzma archives, (e.g. this package)! Hopefully we already have archivers/lzmautils for doing that.